import request from '@/utils/request'

// 查询社团信息列表
export function listAssociations(query) {
  return request({
    url: '/event/associations/list',
    method: 'get',
    params: query
  })
}

// 查询社团信息详细
export function getAssociations(id) {
  return request({
    url: '/event/associations/' + id,
    method: 'get'
  })
}

// 新增社团信息
export function addAssociations(data) {
  return request({
    url: '/event/associations',
    method: 'post',
    data: data
  })
}

// 修改社团信息
export function updateAssociations(data) {
  return request({
    url: '/event/associations',
    method: 'put',
    data: data
  })
}

// 删除社团信息
export function delAssociations(id) {
  return request({
    url: '/event/associations/' + id,
    method: 'delete'
  })
}

// 导出社团信息
export function exportAssociations(query) {
  return request({
    url: '/event/associations/export',
    method: 'get',
    params: query
  })
}